FieldReaderException (Lucene 2.4.1 API)
Keywords: org.apache.lucene.index.FieldReaderException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class FieldReaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.lucene.index.FieldReaderException

All Implemented Interfaces:
  Serializable

    public class FieldReaderException

extends RuntimeException

See Also:
  Serialized Form

Constructor Summary
`FieldReaderException()` Constructs a new runtime exception with `null` as its detail message.
`FieldReaderException(String message)` Constructs a new runtime exception with the specified detail message.
`FieldReaderException(String message, Throwable cause)` Constructs a new runtime exception with the specified detail message and cause.
`FieldReaderException(Throwable cause)` Constructs a new runtime exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldReaderException

    public FieldReaderException()

  Constructs a new runtime exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

### FieldReaderException

    public FieldReaderException(Throwable cause)

  Constructs a new runtime exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  Since:
    1.4

### FieldReaderException

    public FieldReaderException(String message)

  Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### FieldReaderException

    public FieldReaderException(String message,
                                Throwable cause)

  Constructs a new runtime exception with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.